SimpleHomologeneDB (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.homologene.SimpleHomologeneDB class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.homologene
Class SimpleHomologeneDB

    java.lang.Object
      org.biojava.bio.program.homologene.AbstractOrthoPairCollection
          org.biojava.bio.program.homologene.SimpleOrthoPairCollection
              org.biojava.bio.program.homologene.SimpleHomologeneDB

All Implemented Interfaces:
  HomologeneDB, OrthoPairCollection

    public class SimpleHomologeneDB

extends SimpleOrthoPairCollection
implements HomologeneDB

Nested Class Summary

Nested classes/interfaces inherited from class org.biojava.bio.program.homologene.SimpleOrthoPairCollection
`SimpleOrthoPairCollection.Iterator`

Field Summary

Fields inherited from class org.biojava.bio.program.homologene.SimpleOrthoPairCollection
`groups`

Constructor Summary
`SimpleHomologeneDB()`

Method Summary
`Orthologue` | `createOrthologue(int taxonID, String locusID, String homologeneID, String accession)` Create an orthologue.
`Orthologue` | `createOrthologue(Taxon taxon, String locusID, String homologeneID, String accession)` Create an orthologue.
`OrthoPair` | `createOrthoPair(Orthologue first, Orthologue second, SimilarityType type, double percentIdentity)` Create a computed orthology entry.
`OrthoPair` | `createOrthoPair(Orthologue first, Orthologue second, String ref)` Create a curated orthology entry.
`OrthoPairSet` | `createOrthoPairSet()` Create a Homologene Group.
`Orthologue` | `getOrthologue(String homologeneID)` Returns an orthologue of specified ID.
`OrthoPairCollection` | `getOrthoPairSets()` Get the HomologeneGroups in this database.

Methods inherited from class org.biojava.bio.program.homologene.SimpleOrthoPairCollection
`add, contains, isEmpty, iterator`

Methods inherited from class org.biojava.bio.program.homologene.AbstractOrthoPairCollection
`filter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.bio.program.homologene.HomologeneDB
`filter`

Constructor Detail

### SimpleHomologeneDB

    public SimpleHomologeneDB()

Method Detail

### createOrthologue

    public Orthologue createOrthologue(Taxon taxon,
                                       String locusID,
                                       String homologeneID,
                                       String accession)
                                throws ChangeVetoException

  Description copied from interface: `HomologeneDB`
  Create an orthologue.

  Specified by:
    `createOrthologue` in interface `HomologeneDB`
  Throws:
    `ChangeVetoException`

### createOrthologue

    public Orthologue createOrthologue(int taxonID,
                                       String locusID,
                                       String homologeneID,
                                       String accession)
                                throws IllegalArgumentException,
                                       ChangeVetoException

  Description copied from interface: `HomologeneDB`
  Create an orthologue.

  Specified by:
    `createOrthologue` in interface `HomologeneDB`
  Throws:
    `IllegalArgumentException`
    `ChangeVetoException`

### getOrthologue

    public Orthologue getOrthologue(String homologeneID)

  Description copied from interface: `HomologeneDB`
  Returns an orthologue of specified ID.

  Specified by:
    `getOrthologue` in interface `HomologeneDB`

### createOrthoPair

    public OrthoPair createOrthoPair(Orthologue first,
                                     Orthologue second,
                                     SimilarityType type,
                                     double percentIdentity)

  Description copied from interface: `HomologeneDB`
  Create a computed orthology entry.

  Specified by:
    `createOrthoPair` in interface `HomologeneDB`

### createOrthoPair

    public OrthoPair createOrthoPair(Orthologue first,
                                     Orthologue second,
                                     String ref)

  Description copied from interface: `HomologeneDB`
  Create a curated orthology entry.

  Specified by:
    `createOrthoPair` in interface `HomologeneDB`

### createOrthoPairSet

    public OrthoPairSet createOrthoPairSet()

  Description copied from interface: `HomologeneDB`
  Create a Homologene Group.

  Specified by:
    `createOrthoPairSet` in interface `HomologeneDB`

### getOrthoPairSets

    public OrthoPairCollection getOrthoPairSets()

  Description copied from interface: `HomologeneDB`
  Get the HomologeneGroups in this database.

  Specified by:
    `getOrthoPairSets` in interface `HomologeneDB`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD